%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%global pypi_name honcho

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        6%{?dist}
Summary:        Python clone of Foreman

License:        MIT
URL:            https://github.com/nickstenning/honcho
Source0:        https://pypi.python.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-test
Requires:       python-jinja2
Requires:       python-babel
Requires:       python-markupsafe
Requires:       pytz
%if 0%{?with_python3}
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-test
BuildRequires:  python3
Requires:       python3-jinja2
Requires:       python3-babel
Requires:       python3-markupsafe
Requires:       python3-pytz
%endif # if with_python3

%description
Honcho is a Python port of Foreman,for managing Procfile-based
 applications

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Python3 clone of Foreman
Group:          Development/Libraries

%description -n python3-%{pypi_name}
Honcho is a Python3 port of Foreman,for managing Procfile-based
 applications
%endif # if with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root=%{buildroot}
mv %{buildroot}%{_bindir}/honcho %{buildroot}%{_bindir}/py3-honcho
%endif # with_python3

%{__python2} setup.py install --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif # with_python3

%files
%doc README.rst
%{_bindir}/honcho
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/py3-honcho
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-6
- Fix Python2 Requires

* Tue Jul 21 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-5
- Build with Python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-3
- Build only with Pyhon3

* Sun Feb 01 2015 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.0-2
- Add Python3 subpackage

* Thu Oct 23 2014 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.0-1
- Initial package.
